Subject: Can I generate a prefix shorter than /48 using <draft-ietf-ipv6-unique-local-addr-09.txt>?

From: "John Spence" <[email-masked]>
Date: Thu, 22 Sep 2005 19:55:27 -0700

If my organization is large, and I will petition my ISP for a
/44, or even a /40, I'd like to be able to use the mechanism
outlined above to randomly generate myself a Unique Local /40
prefix so I can map my routable and site-restricted space as I
desire.

I did not see a provision in the draft that would allow me to do
that.  Is that correct - there is no provision for generating a
shorter prefix?

John Spence
----------------------------------------------------
John Spence, CCSI, CCNA, CISSP
Native6, Inc.
IPv6 Training and Consulting
[email-masked]
www.native6.com
----------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Pekka Savola <[email-masked]>
Date: Fri, 23 Sep 2005 11:45:31 +0300 (EEST)

> that.  Is that correct - there is no provision for generating a

Why would you even need to?  If you have so many subnets, they are 
probably NOT located in one physical location.  You could just 
generate multiple ULA prefixes (e.g., one per physical site, one per 
continent or whatever) and hook them together in the routing?

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Mark Smith <[email-masked]>
Date: Fri, 23 Sep 2005 18:56:26 +0930

Hi John,

On Thu, 22 Sep 2005 19:55:27 -0700

> prefix so I can map my routable and site-restricted space as I

Out of interest sake, if you are able to tell me, I'm curious how large
? I'd have thought a /46 or 256K subnets would have been large enough
for the largest organisations in the world, even allowing for unused
subnets due to aggregation to allow for multiple instances of IGPs
separated by BGP internally, as IGPs may be limited in how many subnets
they can carry. At least to me, a /40 (or just a /40 size address space
of different /48s) for a single organisations' subnet requirements is
pretty much inconceivable.

> that.  Is that correct - there is no provision for generating a

I agree with Pekka, you're probably going to have to divide up your
routing protocols into IGP instances / private ASes just to cope with
that many subnets anyway, I'd think inside your organisation different ULA /48s
corresponding to these IGP instances / private ASes would be resonable.

I'd also think having a separate public Internet connection for each of
those /48s or 65 K subnets is at least likely (for no other reason that
having your phone ring when more than that many users lose their
Internet access would cause it to melt!), and therefore using global
/48s along those same boundaries would also make sense, and allow you to
use the same subnet numbers for the ULA and global /48 within each
IGP instance / private AS division.

Regards,
Mark.

---

From: Mark Smith <[email-masked]>
Date: Fri, 23 Sep 2005 20:41:13 +0930

On Fri, 23 Sep 2005 18:56:26 +0930

> pretty much inconceivable.

I've just realised that the above scenario might by hypothetical rather
than actual. Is that the case ? 

Thanks,
Mark.

---

From: "John Spence" <[email-masked]>
Date: Fri, 23 Sep 2005 12:05:56 -0700

Mark;

Good points all.  Yes, in many cases I agree - that large an
enterprise would have multiple ISPs, and may choose multiple
unrelated /48s for their global offices, and then could use
multiple /48 ULAs to tie it together.  And map subnets - if they
wanted - such that a single subnet had, for example,
2001:DB8:4:6::/64 and FD92:A054:B18E:6::/64.

But if, for whatever reason, the enterprise chose a single /46
from a single (global) ISP, and wanted to use it all over the
world, they might want a /46 ULA to go with it, I think.

John Spence

> -----Original Message-----
> From: Mark Smith 
> [mailto:[email-masked]] 
> Sent: Friday, September 23, 2005 2:26 AM
> To: John Spence
> Cc: [email-masked]
> Subject: Re: Can I generate a prefix shorter than /48 using 
> <draft-ietf-ipv6-unique-local-addr-09.txt>?
> 
> Hi John,
> 
> > If my organization is large, and I will petition my ISP for 
> a /44, or 
> > even a /40, I'd like to be able to use the mechanism 
> outlined above to 
> > randomly generate myself a Unique Local /40 prefix so I can
map my 
> > routable and site-restricted space as I desire.
> > 
> 
> Out of interest sake, if you are able to tell me, I'm curious 
> how large ? I'd have thought a /46 or 256K subnets would have 
> been large enough for the largest organisations in the world, 
> even allowing for unused subnets due to aggregation to allow 
> for multiple instances of IGPs separated by BGP internally, 
> as IGPs may be limited in how many subnets they can carry. At 
> least to me, a /40 (or just a /40 size address space of 
> different /48s) for a single organisations' subnet 
> requirements is pretty much inconceivable.
> 
> > I did not see a provision in the draft that would allow me 
> to do that.  
> > Is that correct - there is no provision for generating a
shorter 
> > prefix?
> > 
> 
> I agree with Pekka, you're probably going to have to divide 
> up your routing protocols into IGP instances / private ASes 
> just to cope with that many subnets anyway, I'd think inside 
> your organisation different ULA /48s corresponding to these 
> IGP instances / private ASes would be resonable.
> 
> I'd also think having a separate public Internet connection 
> for each of those /48s or 65 K subnets is at least likely 
> (for no other reason that having your phone ring when more 
> than that many users lose their Internet access would cause 
> it to melt!), and therefore using global /48s along those 
> same boundaries would also make sense, and allow you to use 
> the same subnet numbers for the ULA and global /48 within 
> each IGP instance / private AS division.
> 
> Regards,
> Mark.

---

From: "John Spence" <[email-masked]>
Date: Fri, 23 Sep 2005 12:05:56 -0700

I absolutely could do as you suggest, and simply generate
multiple /48s.

If we use that logic though - if you need more than a /48 just
use multiple /48s, then rather than have some organizations get
larger space from an ISP (like /46), we should just give them
multiple /48s too - different parts of the world, big internal
private network - and let them use internal routing to bring the
enterprise together.

So, in 99% of cases, I suppose, the multiple /48s would work.  It
just might not be quite as clean.  If you said to a site "you can
either generate yourself FD85:19EA:73C8::/47, or you can generate
and use FD85:19EA:73C8::/48 and FD1B:9567:CD12::/48", enterprises
would choose a contiguous /47 in most every case.

If the draft essentially let people append as many bits as needed
to "FD" to generate the length prefix they desired, for internal
use, the process would be a bit more flexible.  These are
internal-use-only addresses, and the draft could advise people
that the larger the prefix they generate the larger the chance
they might, should they merge networks with some other
organization, encounter an address space collision.  Engineers at
that site could weigh the options and make a choice.

I understand we would not want to allow
larger-than-some-threshold (maybe /48) "FC" (centrally
registered) addresses, as that is a shared pool that vitally
depends on their being very, very few collision, and we would not
want an organization to "claim", say "FC45::/16".

So, just a thought.  I believe this draft is about to go RFC, and
I don't want to trip up the process, because it is a very good
draft and I'm anxious to see vendors implement it.  Just a
question, really.

John Spence

> From: Pekka Savola [mailto:[email-masked]] 
> Sent: Friday, September 23, 2005 1:46 AM
> To: John Spence
> Cc: [email-masked]
map my 
shorter 
> > prefix?
> 
> Why would you even need to?  If you have so many subnets, 
> they are probably NOT located in one physical location.  You 
> could just generate multiple ULA prefixes (e.g., one per 
> physical site, one per continent or whatever) and hook them 
> together in the routing?
> 
> --

---

From: "John Spence" <[email-masked]>
Date: Fri, 23 Sep 2005 12:05:56 -0700

Mark;

Yes - 100% hypothetical.  That's a reason not to make too much of
my "what if" question - it may not come up in the real world
often enough for us to spend time discussing it.  That's why I'm
not pushing - just asking.

Spence

> Sent: Friday, September 23, 2005 4:11 AM
> To: Mark Smith
> Cc: [email-masked]; [email-masked]
> > > If my organization is large, and I will petition my ISP 
> for a /44, 
> > > or even a /40, I'd like to be able to use the mechanism
outlined 
> > > above to randomly generate myself a Unique Local /40 
> prefix so I can 
> > > map my routable and site-restricted space as I desire.
> > > 
> > 
how 
> > large ? I'd have thought a /46 or 256K subnets would have 
> been large 
> > enough for the largest organisations in the world, even 
> allowing for 
> > unused subnets due to aggregation to allow for multiple 
> instances of 
> > IGPs separated by BGP internally, as IGPs may be limited in 
> how many 
> > subnets they can carry. At least to me, a /40 (or just a /40
size 
> > address space of different /48s) for a single organisations'
subnet 
> I've just realised that the above scenario might by 
> hypothetical rather than actual. Is that the case ? 
> 
> Thanks,
> Mark.

---

From: Pekka Savola <[email-masked]>
Date: Mon, 26 Sep 2005 08:24:36 +0300 (EEST)

> would choose a contiguous /47 in most every case.

Note that they could just simply use FD85:19EA:73C8::/47; it's not 
like anyone is going to ask them to prove that they actually 
random-generated FD85:19EA:73C8::/48 and FD85:19EA:73C9::/48 (What a 
coincidence! :)

---

From: "John Spence" <[email-masked]>
Date: Mon, 26 Sep 2005 07:16:48 -0700

What a coincidence indeed!  I think you've hit on a fine solution
- since these are for intra-enterprise use we'll just do what
makes sense for us, knowing the risks we take.  Thanks for
letting me bounce this idea around.

End of thread.

Spence 

> Sent: Sunday, September 25, 2005 10:25 PM
> To: John Spence
> Cc: [email-masked]
> Subject: RE: Can I generate a prefix shorter than /48 using 
> > So, in 99% of cases, I suppose, the multiple /48s would 
> work.  It just 
> > might not be quite as clean.  If you said to a site "you can
either 
> > generate yourself FD85:19EA:73C8::/47, or you can generate
and use 
> > FD85:19EA:73C8::/48 and FD1B:9567:CD12::/48", enterprises 
> would choose 
> Note that they could just simply use FD85:19EA:73C8::/47; 
> it's not like anyone is going to ask them to prove that they 
> actually random-generated FD85:19EA:73C8::/48 and 
> FD85:19EA:73C9::/48 (What a coincidence! :)
> 
> --